Skip to main content
GET
/
v1
/
payment_initiations
/
{id}
Retrieves a payment initiation
curl --request GET \
  --url https://api.yorlet.com/v1/payment_initiations/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "payment_initiation",
  "type": "inbound_payment",
  "inbound_payment": {
    "type": "customer",
    "customer": "<string>"
  },
  "account": "<string>",
  "deleted": false,
  "amount": 123,
  "currency": "gbp",
  "reference": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

The single-use token object is returned upon success. Otherwise, this call returns an error.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
payment_initiation
type
enum<string>
required
Available options:
inbound_payment
inbound_payment
object
required

The inbound payment details

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

amount
integer
currency
enum<string>
Available options:
gbp,
sek
reference
string | null
metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.